BITMAP_PARSELIST_USE(9)

NAME
bitmap_parselist_user -

SYNOPSIS

int bitmap_parselist_user(const char __user * ubuf, unsigned int ulen, unsigned long * maskp, int nmaskbits);

ARGUMENTS

ubuf
    pointer to user buffer containing string.

ulen
    buffer size in bytes. If string is smaller than this then it must be terminated with a \0.

maskp
    pointer to bitmap array that will contain result.

nmaskbits
    size of bitmap, in bits.

DESCRIPTION

Wrapper for bitmap_parselist, providing it with user buffer.

We cannot have this as an inline function in bitmap.h because it needs linux/uaccess.h to get the access_ok declaration and this causes cyclic dependencies.

COPYRIGHT